package com.lqkj.link.module.authority.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.persistence.*;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.util.Date;
import java.util.List;
import java.util.Map;

@Entity
@Table(name = "role_info")
@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
public class RoleInfo {
    @Id
    @Column(name = "role_id")
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Schema(description = "角色ID")
    private Integer roleId;
    @Column(name = "role_name")
    @Schema(description = "角色名称")
    private String roleName;
    @Column(name = "en_name")
    @Schema(description = "")
    private String enName;
    @Column(name = "update_time")
    @JsonFormat(pattern = "YYYY-MM-dd HH:mm:ss", timezone = "Asia/Shanghai")
    private Date updateTime;
    @Transient
    private List<Integer> authorityList;
    @Transient
    private String auths;
}
