package com.lqkj.link.module.zone.domain;

import com.alibaba.fastjson2.JSONArray;
import com.alibaba.fastjson2.JSONObject;
import com.fasterxml.jackson.annotation.JsonIgnore;
import io.hypersistence.utils.hibernate.type.json.JsonType;
import jakarta.persistence.*;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import org.hibernate.annotations.Type;
import org.locationtech.jts.geom.Point;

@Entity
@Table(name = "geom_info")
@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
public class GeomInfo {
    @Id
    @Column(name = "geom_id")
    private String geomId;
    @Column(name = "zone_id")
    private Integer zoneId;
    @Column(name = "model_id")
    private Integer modelId;
    @Column(name = "layer_id")
    private String layerId;
    @Column(name = "geom_name")
    private String geomName;
    @Column(name = "building_id")
    private Integer buildingId;
    @Column(name = "floor")
    private Integer floor;
    @Column(name = "room_id")
    private Integer roomId;
    @Column(name = "geom", columnDefinition = "Geometry")
    @JsonIgnore
    private Point geom;
    @Type(JsonType.class)
    @Column(name = "properties", columnDefinition = "jsonb")
    private JSONArray properties;
    @Column(name = "locking")
    private Boolean locking;
    @Transient
    private JSONObject location;
    @Transient
    private String Name;
    @Type(JsonType.class)
    @Column(name = "trans", columnDefinition = "jsonb")
    @JsonIgnore
    private JSONObject trans;
    @Transient
    private String modelPath;
    @Column(name = "pics")
    private String pics;
    @Column(name = "video_url")
    private String videoUrl;
    @Column(name = "audio_url")
    private String audioUrl;
    @Column(name = "brief")
    private String brief;
    @Column(name = "navigation")
    private Boolean navigation;
    @Column(name = "navigation_end")
    private String navigationEnd;

    /**
     * 材质ID
     */
    @Column(name = "material_id")
    private Integer materialId;

    public JSONObject getLocation() {
        if (location == null) return trans;
        return location;
    }

    public String getName() {
        return geomId;
    }

}
