package com.lqkj.link.module.zone.domain;

import com.alibaba.fastjson2.JSONObject;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.hypersistence.utils.hibernate.type.json.JsonType;
import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.persistence.*;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import org.hibernate.annotations.Type;

import java.util.Date;

@Entity
@Table(name = "zone_info")
@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
public class ZoneInfo {
    @Id
    @Column(name = "zone_id")
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Schema(description = "区域/作品ID")
    private Integer zoneId;
    @Column(name = "user_id")
    @Schema(description = "作者用户ID")
    private Integer userId;
    @Column(name = "zone_name")
    @Schema(description = "区域/作品名称")
    private String zoneName;
    @Type(JsonType.class)
    @Column(name = "init_location", columnDefinition = "jsonb")
    @Schema(description = "场景初始坐标")
    private JSONObject initLocation;
    @Column(name = "thumbnail")
    @Schema(description = "封面图")
    private String thumbnail;
    @Column(name = "auth_status")
    @Schema(description = "审核状态，0未申请，1待审，2通过，3拒绝")
    private Integer authStatus;
    @Column(name = "update_time")
    @JsonFormat(pattern = "YYYY-MM-dd HH:mm:ss", timezone = "Asia/Shanghai")
    @Schema(description = "更新时间")
    private Date updateTime;
    @Column(name = "share_count")
    @Schema(description = "分享次数")
    private Integer shareCount;
    @Column(name = "view_count")
    @Schema(description = "查看次数")
    private Integer viewCount;
    @Column(name = "template_file_name")
    @Schema(description = "模板文件名称")
    private String templateFileName;
    @Column(name = "template_file_path")
    @Schema(description = "模板文件路径")
    private String templateFilePath;
    @Column(name = "template_use")
    private Integer templateUse;
    @Column(name = "like_count")
    @Schema(description = "点赞次数")
    private Integer likeCount;
}
