package com.lqkj.link.module.zone.repository;

import com.lqkj.link.module.zone.domain.LikesInfo;
import com.lqkj.link.module.zone.domain.ZoneInfo;
import io.swagger.v3.oas.annotations.Parameter;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public interface LikesInfoRepository extends JpaRepository<LikesInfo, Integer> {

    @Modifying
    @Query(nativeQuery = true,
            value = "delete from likes where user_id = :userId and zone_id = :zoneId"
    )
    void deleteByUserIdandZoneId(@Param("userId") Integer userId, @Param("zoneId") Integer zoneId);

    @Query(nativeQuery = true,
            value = "select count(*) > 0 from likes where user_id = :userId and zone_id = :zoneId"
    )
    boolean isLiked(@Param("zoneId") Integer zoneId, @Param("userId") Integer userId);
}
